Skip to content
Ona Docs

ListSCMIntegrations

client.Runners.Configurations.ScmIntegrations.List(ctx, params) (*IntegrationsPage[ScmIntegration], error)
POST/gitpod.v1.RunnerConfigurationService/ListSCMIntegrations

Lists SCM integrations for a runner.

Use this method to:

  • View all integrations
  • Monitor integration status
  • Check available SCMs

Examples

  • List integrations:

    Shows all SCM integrations.

    filter:
      runnerIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
    pagination:
      pageSize: 20
ParametersExpand Collapse
params RunnerConfigurationScmIntegrationListParams
Token param.Field[string]Optional

Query param

PageSize param.Field[int64]Optional

Query param

maximum100
minimum0

Body param

RunnerIDs []stringOptional

runner_ids filters the response to only SCM integrations of these Runner IDs

ReturnsExpand Collapse
type ScmIntegration struct{…}
ID stringOptional

id is the unique identifier of the SCM integration

Host stringOptional
ClientID stringOptional

client_id is the OAuth app’s client ID in clear text.

EncryptedClientSecret stringOptional

encrypted_client_secret is the OAuth app’s secret encrypted with the runner’s public key.

formatbyte
IssuerURL stringOptional

issuer_url is used to override the authentication provider URL, if it doesn’t match the SCM host.

+optional if not set, this account is owned by the installation.

Pat boolOptional
RunnerID stringOptional
ScmID stringOptional

scm_id references the scm_id in the runner’s configuration schema that this integration is for

VirtualDirectory stringOptional

virtual_directory is the virtual directory path for Azure DevOps Server (e.g., “/tfs”). This field is only used for Azure DevOps Server SCM integrations and should be empty for other SCM types. Azure DevOps Server APIs work without collection when PAT scope is ‘All accessible organizations’.

ListSCMIntegrations

package main

import (
  "context"
  "fmt"

  "github.com/gitpod-io/gitpod-sdk-go"
  "github.com/gitpod-io/gitpod-sdk-go/option"
)

func main() {
  client := gitpod.NewClient(
    option.WithBearerToken("My Bearer Token"),
  )
  page, err := client.Runners.Configurations.ScmIntegrations.List(context.TODO(), gitpod.RunnerConfigurationScmIntegrationListParams{
    Filter: gitpod.F(gitpod.RunnerConfigurationScmIntegrationListParamsFilter{
      RunnerIDs: gitpod.F([]string{"d2c94c27-3b76-4a42-b88c-95a85e392c68"}),
    }),
    Pagination: gitpod.F(gitpod.RunnerConfigurationScmIntegrationListParamsPagination{
      PageSize: gitpod.F(int64(20)),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "integrations": [
    {
      "id": "id",
      "host": "host",
      "oauth": {
        "clientId": "clientId",
        "encryptedClientSecret": "U3RhaW5sZXNzIHJvY2tz",
        "issuerUrl": "issuerUrl"
      },
      "pat": true,
      "runnerId": "runnerId",
      "scmId": "scmId",
      "virtualDirectory": "virtualDirectory"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "integrations": [
    {
      "id": "id",
      "host": "host",
      "oauth": {
        "clientId": "clientId",
        "encryptedClientSecret": "U3RhaW5sZXNzIHJvY2tz",
        "issuerUrl": "issuerUrl"
      },
      "pat": true,
      "runnerId": "runnerId",
      "scmId": "scmId",
      "virtualDirectory": "virtualDirectory"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}